package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.CreateBindings(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceCreateBindingsRequest{
AccessProfileID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceCreateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"xaaScopeIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings"
payload = { "xaaScopeIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({xaaScopeIds: ['<string>']})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bindings": [
{
"accessProfileId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>",
"xaaScopeId": "<string>"
}
]
}Create Bindings
CreateBindings binds one or more scopes (xaa_scope_ids) to an access profile. Every scope must belong to the profile’s resource server.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.CreateBindings(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceCreateBindingsRequest{
AccessProfileID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceCreateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application that owns the resource server.
The access profile to bind scopes to.
Body
XAAAccessProfileScopeBindingServiceCreateRequest binds scopes to a profile.
Scope IDs to bind to the access profile.
Response
XAAAccessProfileScopeBindingServiceCreateResponse returns created bindings.
XAAAccessProfileScopeBindingServiceCreateResponse returns created bindings.
The created scope bindings.
Show child attributes
Show child attributes
Was this page helpful?